Subject: Re: bug#46844: guile2.2-bytestructures fails to compile.

From: Taylan Kammer <[email-masked]>
Date: Mon, 1 Mar 2021 15:47:56 +0100

On 01.03.2021 09:06, Maxime Devos wrote:
> Hi Guix,
> 
> guile2.2-bytestructures and guile2.0-bytestructures don't compile.
> The reason seems to be that v1.0.9 uses (scheme eval), which isn't
> defined in guile2.0 and guile2.2. v1.0.8 doesn't use (scheme eval)
> 
> Here's the commit that seems to introduce the issue while fixing
> another:
> 
> guix time-machine --commit=0a1da4652d9bb93d530ca52710f30b5d05a4251d -- build guile2.0-bytestructures guile2.2-bytestructures
> 
> According to a "guix refresh --list-dependent guile2.0-bytestructures guile2.2-bytestructures"
> on 372b15f8625e7f20cafdba2677d4bf3f5eccc127, only "guile2.0-git",
> "guile2.2-parted" and "guile2.2-guix" depend on these packages,
> so unless someone needs "guile2.2-guix", it should be safe to remove
> these packages.
> 
> Greetings,
> Maxime.
> 
> (This issue prevents creating an environment for https://issues.guix.gnu.org/46826)
> 

Thanks for the report, I'm looking into it.

Actually 1.0.8 is the first version that uses '(scheme eval)' and 1.0.9
only makes a change to the environment argument passed to 'eval'.  I'm
assuming that the last working version was 1.0.7.

The reason '(scheme eval)' is needed is that I use the 'environment'
procedure to create an environment object to be passed as the second
argument to 'eval'.

I suppose I could instead use 'resolve-module' which should work across
2.x and 3.x.

I'll report as soon as I have an update.

- Taylan